| pktools 2.6.7 Processing Kernel for geospatial data

pkstatprofile

program to calculate statistics in temporal or spectral profile

## SYNOPSIS

`Usage: pkstatprofile -i input -o output [-f function]*`

`Options: [-nodata value]`

`Advanced options: check table`

# Description

This utility calculates statistics for a temporal (time series) or spectral profile

function | description
--- | ---
mean | calculate mean in window
median | perform a median filter in spatial (dx, dy) or spectral/temporal (dz) domain
var | calculate variance in window
stdev | calculate standard deviation in window
min | calculate minimum in window
max | calculate maximum in window
sum | calculate sum in window
mode | calculate mode of all values
ismin | 1 if value is minimum, else 0
ismax | 1 if value is maximum, else 0
per | calculate percentile in time series (provide percentage value as argument)
prop | calculate proportion
nvalid | report number of valid observations

Example: Calculate min and max NDVI in time series

pkstatprofile -i modis_ndvi_2010.tif -o modis_stats_2010.tif -f min -f max

# Options

- use either `-short` or `--long` options (both `--long=value` and `--long value` are supported)
- short option `-h` shows basic options only, long option `--help` shows all options

  short | long | type | default | description
  --- | --- | --- | --- | ---
  i | input | std::string |  | input image file
  o | output | std::string |  | Output image file
  f | function | std::string |  | statistics function (see table)
  perc | percentile | double |  | percentile value(s) for percentile function
  class | class | std::string |  | class value(s) to use for mode, proportion
  nodata | nodata | double |  | nodata value(s)

Usage: pkstatprofile -i input -o output [-f function]*